#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rvar
version:              0.2.0.6
visibility:           public
id:                   rvar-0.2.0.6-H4kEEwfrkz471P2RwyL0Kb
key:                  rvar-0.2.0.6-H4kEEwfrkz471P2RwyL0Kb
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            stable
homepage:             https://github.com/mokus0/random-fu
synopsis:             Random Variables
description:
    Random number generation based on modeling random
    variables by an abstract type ('\''RVar'\'') which can be
    composed and manipulated monadically and sampled in
    either monadic or \"pure\" styles.

    The primary purpose of this library is to support
    defining and sampling a wide variety of high quality
    random variables.  Quality is prioritized over speed,
    but performance is an important goal too.

    In my testing, I have found it capable of speed
    comparable to other Haskell libraries, but still
    a fair bit slower than straight C implementations of
    the same algorithms.

    Changes in 0.2.0.1:  Version bump for transformers
    dependency.

category:             Math
abi:                  006daca0ea4024b12f0c88489d2fee69
exposed:              True
exposed-modules:      Data.RVar
import-dirs:          /usr/lib/ghc-8.10.4/site-local/rvar-0.2.0.6
library-dirs:         /usr/lib/ghc-8.10.4/site-local/rvar-0.2.0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/rvar-0.2.0.6
hs-libraries:         HSrvar-0.2.0.6-H4kEEwfrkz471P2RwyL0Kb
depends:
    MonadPrompt-1.0.0.5-GcXKT497G1U1Gu0Zf8sWqX base-4.14.1.0 mtl-2.2.2
    random-source-0.3.0.11-IIzxtJCs6Q18r6fjTjWOHw transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-rvar/html/rvar.haddock
haddock-html:         /usr/share/doc/haskell-rvar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

